export interface TwoComplementInteger64 {
    low: number;
    high: number;
    unsigned?: boolean;
}
export interface Sharecode {
    matchId: TwoComplementInteger64;
    reservationId: TwoComplementInteger64;
    tvPort: number;
}
/**
 * Encode a share code from its ShareCode object type and return its string representation.
 * Required fields should come from a CDataGCCStrike15_v2_MatchInfo protobuf message.
 * https://github.com/SteamRE/SteamKit/blob/master/Resources/Protobufs/csgo/cstrike15_gcmessages.proto#L785
 */
declare const encode: (matchId: TwoComplementInteger64, reservationId: TwoComplementInteger64, tvPort: number) => string;
/**
 * Decode a CSGO share code from its string and return it as a ShareCode object type.
 * Share code format excepted: CSGO-xxxxx-xxxxx-xxxxx-xxxxx-xxxxx
 */
declare const decode: (shareCode: string) => Sharecode;
export { encode, decode };
